Name:          cas-client
Version:       3.4.1
Release:       %mkrel 2
Group:         Development/Java
Summary:       Jasig CAS Client for Java
License:       ASL 2.0 and BSD
Url:           https://github.com/Jasig/java-cas-client
Source0:       https://github.com/Jasig/java-%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(net.spy:spymemcached)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)

BuildArch:     noarch

%description
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-%{name}-%{name}-%{version}

find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_remove_parent
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-enforcer-plugin

%pom_disable_module cas-client-integration-atlassian
%pom_disable_module cas-client-integration-jboss
%pom_disable_module cas-client-integration-tomcat-v6
%pom_disable_module cas-client-integration-tomcat-v7

%pom_change_dep xml-security:xmlsec org.apache.santuario:xmlsec::runtime cas-client-core

%pom_xpath_set "pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17
%pom_xpath_set "pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17 cas-client-core
%pom_xpath_set "pom:dependency[pom:artifactId = 'javax.servlet-api']/pom:version" 3.1.0

# IncompatibleClassChangeError: class org.springframework.core.LocalVariableTableParameterNameDiscoverer$ParameterNameDiscoveringVisitor has interface org.objectweb.asm.ClassVisitor as super class
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyTicketValidatorTests.java

# java.net.ConnectException: Connection refused
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ServiceTicketValidatorTests.java

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license %{name}-core/LICENSE.txt LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license %{name}-core/LICENSE.txt LICENSE NOTICE



%changelog
* Thu Mar 03 2016 neoclust <neoclust> 3.4.1-2.mga6
+ Revision: 984728
- imported package cas-client


* Fri Oct 04 2013 gil cattaneo <puntogil@libero.it> 3.2.1-4
- rebuilt with XMvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 3.2.1-2
- disable tomcat6 module
- adapt to current guideline

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm
